import { OnInit } from '@angular/core';
import { PersistedGrantVO } from '../vo/persisted-grant.vo';
import { NzMessageService } from 'ng-zorro-antd/message';
import { TranslateService } from '@ngx-translate/core';
import { API } from '../../../api';
export declare class IdentityPersistedGrantsComponent implements OnInit {
    private nzMessageService;
    private translateService;
    listParam: API.Identity.PersistedGrantController.ListParam;
    persistedGrants: Array<PersistedGrantVO>;
    persistedGrantsFetching: boolean;
    persistedGrantsTotal: number;
    constructor(nzMessageService: NzMessageService, translateService: TranslateService);
    deletePersistedGrant(item: PersistedGrantVO): void;
    fetchPersistedGrants(fromStart?: boolean): void;
    handlePageIndexChange(pageIndex: number): void;
    handlePageSizeChange(pageSize: number): void;
    ngOnInit(): void;
}
